com.microfocus.awm.core

## Class TableResource

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - com.microfocus.awm.model.internal.Resource
    - - com.microfocus.awm.core.TableResource

- All Implemented Interfaces:
    IResource, ITableResource, org.eclipse.core.runtime.IAdaptable

      public class TableResource
      extends Resource
      implements ITableResource

  Standard implementation of `ITableResource`.
  Author:
    Micro Focus

- - ### Field Summary

    - ### Fields inherited from class com.microfocus.awm.model.internal.Resource

      `_ID, _name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableResource(FileDescriptor pFileDescriptor, java.util.List<ITableResource> pTabEntryListEntryList)` Creates a new table resource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyValue(IPropertyValue pPropertyValue)` Set the value of the property associated with the given property value in this resource to the given property value.
    `FileDescriptor` | `getFileDescriptor()` Gets the file descriptor of the table resource.
    `IPropertyValue` | `getPropertyValue(int pColumnIndex)` Gets the property value for a column index.
    `java.util.List<ITableResource>` | `getTableResourceList()` Gets the list of table resources which contains this table resource.

    - ### Methods inherited from class com.microfocus.awm.model.internal.Resource

      `addChildResource, addResourceChild, delete, equals, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, getValueOfLinkedProperty, hashCode, removeProperty, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from class org.eclipse.core.runtime.PlatformObject

      `getAdapter`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addResourceChild, delete, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Constructor Detail

    - #### TableResource

          public TableResource(FileDescriptor pFileDescriptor,
                               java.util.List<ITableResource> pTabEntryListEntryList)

      Creates a new table resource.
      Parameters:
        `pFileDescriptor` - the structured file descriptor describing the table in which this resource was exists.
        `pTabEntryListEntryList` - list of `ITableResource` belong to the giving file descriptor

  - ### Method Detail

    - #### getFileDescriptor

          public FileDescriptor getFileDescriptor()

      Description copied from interface: `ITableResource`
      Gets the file descriptor of the table resource.
      Specified by:
        `getFileDescriptor` in interface `ITableResource`
      Returns:
        the file descriptor of the table resource.

    - #### addPropertyValue

          public void addPropertyValue(IPropertyValue pPropertyValue)

      Description copied from interface: `IResource`
      Set the value of the property associated with the given property value in this resource to the given property value.
      Specified by:
        `addPropertyValue` in interface `IResource`
      Overrides:
        `addPropertyValue` in class `Resource`
      Parameters:
        `pPropertyValue` - the new property value

    - #### getPropertyValue

          public IPropertyValue getPropertyValue(int pColumnIndex)

      Description copied from interface: `ITableResource`
      Gets the property value for a column index.
      Specified by:
        `getPropertyValue` in interface `ITableResource`
      Parameters:
        `pColumnIndex` - a column index.
      Returns:
        the property value for the column index.

    - #### getTableResourceList

          public java.util.List<ITableResource> getTableResourceList()

      Description copied from interface: `ITableResource`
      Gets the list of table resources which contains this table resource.
      Specified by:
        `getTableResourceList` in interface `ITableResource`
      Returns:
        the list of table resources

Copyright © 2015 Micro Focus GmbH. All rights reserved.